com::lomiri::location::ProviderSelectionPolicy Class Referenceabstract

`#include <provider_selection_policy.h>`

Inheritance diagram for com::lomiri::location::ProviderSelectionPolicy:
Collaboration diagram for com::lomiri::location::ProviderSelectionPolicy:

## Public Types

typedef std::shared_ptr< ProviderSelectionPolicy > | Ptr

## Public Member Functions

| ProviderSelectionPolicy (const ProviderSelectionPolicy &)=delete
ProviderSelectionPolicy & | operator= (const ProviderSelectionPolicy &)=delete
virtual | ~ProviderSelectionPolicy ()=default
virtual ProviderSelection | determine_provider_selection_for_criteria (const Criteria &criteria, const ProviderEnumerator &enumerator)=0

## Static Public Member Functions

static const Provider::Ptr & | null_provider ()

## Protected Member Functions

| ProviderSelectionPolicy ()=default

## Detailed Description

Definition at line 35 of file provider_selection_policy.h.

## Member Typedef Documentation

## Ptr

typedef std::shared_ptr<ProviderSelectionPolicy> com::lomiri::location::ProviderSelectionPolicy::Ptr

Definition at line 38 of file provider_selection_policy.h.

## Constructor & Destructor Documentation

## ProviderSelectionPolicy() [1/2]

com::lomiri::location::ProviderSelectionPolicy::ProviderSelectionPolicy | ( | const ProviderSelectionPolicy & |  | ) |

delete

References ProviderSelectionPolicy().

Referenced by operator=(), and ProviderSelectionPolicy().

Here is the call graph for this function:

## ~ProviderSelectionPolicy()

virtual com::lomiri::location::ProviderSelectionPolicy::~ProviderSelectionPolicy | ( |  | ) |

virtual default

## ProviderSelectionPolicy() [2/2]

com::lomiri::location::ProviderSelectionPolicy::ProviderSelectionPolicy | ( |  | ) |

protected default

## Member Function Documentation

## determine_provider_selection_for_criteria()

virtual ProviderSelection com::lomiri::location::ProviderSelectionPolicy::determine_provider_selection_for_criteria | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator )

pure virtual

Implemented in com::lomiri::location::DefaultProviderSelectionPolicy, and com::lomiri::location::FusionProviderSelectionPolicy.

## null_provider()

const Provider::Ptr & com::lomiri::location::ProviderSelectionPolicy::null_provider | ( |  | ) |

static

## operator=()

ProviderSelectionPolicy & com::lomiri::location::ProviderSelectionPolicy::operator= | ( | const ProviderSelectionPolicy & |  | ) |

delete

References ProviderSelectionPolicy().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- provider_selection_policy.h